[blfs-support] Fixes for fontconfig errors from old CJK conf files

Ken Moffat zarniwhoop at ntlworld.com
Mon Dec 12 18:26:35 PST 2016


I got a pointer to a less-old version of firefly's fonts
(opendesktop-fonts-1.4.2 - Arch has them) and decided to take a
look, with misgivings (years ago I had used I think 1.6.100, from an
rpm, but ISTR that disappeared, then a year ago I used recent
versions from github, only to find they were later deleted).

On this occasion, I installed the conf files - and got a stream of
errors from one of them (you'll only notice the errors if you run
something using fontconfig from a terminal).  After a little
research, I fixed that, and then looked at installing the conf files
for ukai and uming - for ukai there was only one problematic file,
for uming there were three : that might mean I was using an older
version of the ukai packaging.

Anyway, all of the fixed versions, together with .orig versions so
you can see what I changed if you ever get a similar annoyance, are
at http://www.linuxfromscratch.org/~ken/fontconfig-fixes/

Unfortunately, opening them in firefox shows the XML, and 'save as'
then prefers to call them something.xml.  And wget returns 404.  So
maybe I've got a bit more work to do on this.  But it's getting
there!

ĸen
-- 
`I shall take my mountains', said Lu-Tze. `The climate will be good
for them.'     -- Small Gods


More information about the blfs-support mailing list